GDB (xrefs)

Public Attributes | List of all members
ioscm_memory_port Struct Reference

## Public Attributes
CORE_ADDR | start
CORE_ADDR | end
ULONGEST | size
ULONGEST | current
unsigned | read_buf_size
unsigned | write_buf_size

## Detailed Description

Definition at line 56 of file scm-ports.c.

## Member Data Documentation

## ◆ current

ULONGEST ioscm_memory_port::current

Definition at line 67 of file scm-ports.c.

Referenced by gdbscm_memory_port_fill_input(), gdbscm_memory_port_flush(), gdbscm_memory_port_seek(), gdbscm_memory_port_write(), ioscm_init_memory_port(), and ioscm_lseek_address().

## ◆ end

CORE_ADDR ioscm_memory_port::end

Definition at line 60 of file scm-ports.c.

Referenced by gdbscm_memory_port_print(), gdbscm_memory_port_range(), and ioscm_init_memory_port().

## ◆ read_buf_size

unsigned ioscm_memory_port::read_buf_size

Definition at line 74 of file scm-ports.c.

Referenced by gdbscm_memory_port_read_buffer_size(), gdbscm_set_memory_port_write_buffer_size_x(), ioscm_init_memory_port(), and ioscm_reinit_memory_port().

## ◆ size

ULONGEST ioscm_memory_port::size

Definition at line 63 of file scm-ports.c.

Referenced by gdbscm_memory_port_fill_input(), gdbscm_memory_port_flush(), gdbscm_memory_port_seek(), gdbscm_memory_port_write(), ioscm_init_memory_port(), and ioscm_lseek_address().

## ◆ start

CORE_ADDR ioscm_memory_port::start

Definition at line 60 of file scm-ports.c.

Referenced by gdbscm_memory_port_fill_input(), gdbscm_memory_port_flush(), gdbscm_memory_port_print(), gdbscm_memory_port_range(), gdbscm_memory_port_write(), and ioscm_init_memory_port().

## ◆ write_buf_size

unsigned ioscm_memory_port::write_buf_size

Definition at line 74 of file scm-ports.c.

Referenced by gdbscm_memory_port_write_buffer_size(), gdbscm_set_memory_port_read_buffer_size_x(), ioscm_init_memory_port(), and ioscm_reinit_memory_port().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/guile/scm-ports.c